fcf.module({
  name: "fcf:NFSQL/NFunction/Coalesce.js",
  dependencies: ["fcf:NFSQL/NFunction/Function.js"],
  module: function(Function){
    var NFunction = fcf.prepareObject(fcf, "NFSQL.NFunction");

    NFunction.Coalesce = function() {
      Function.call(this);

      this.processFunction = function(a_taskInfo, a_info){
        a_info.function.recommendedAs = "coalesce()";
      }

    }

    return NFunction.Coalesce;
  }
});
